DirectoryIterator::getPerms
DirectoryIterator::getType
DirectoryIterator
PHP Manual

# DirectoryIterator::getSize

Get size of current DirectoryIterator item

### Description

public int DirectoryIterator::getSize ( void )

Get the file size for the current DirectoryIterator item.

### Parameters

This function has no parameters.

### Return Values

Returns the size of the file, in bytes.

### Examples

Example #1 DirectoryIterator::getSize example

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
foreach ($iterator as $fileinfo) {
if ($fileinfo->isFile()) {
echo $fileinfo->getFilename() . " " . $fileinfo->getSize() . "\n";
}
}
?>`

The above example will output something similar to:

    apple.jpg 15385
    banana.jpg 15190
    example.php 170
    pear.jpg 34406

### See Also

- filesize